#! /bin/csh -f
######################################################################
# report on accuract of results of processing


set path = ( $path ~jamesh/Develop/ ~jamesh/Develop/2DsimTheta/fit2d/ ~jamesh/Develop/2DsimTheta/sfall/ `dirname $0` )
set id = 4TMS
set hurry = ""
set pwd = `pwd`
set prefix = `basename $pwd`
set idealmtz = /home/jamesh/projects/workshop_fakedata/final/generate/${prefix}/pristine.mtz
set idealmap = /home/jamesh/projects/workshop_fakedata/final/ideal.map
set ideal_sites = /home/jamesh/projects/workshop_fakedata/final/sites.pdb

# get completeness
set comp = `mtzdmp merged.mtz | awk '$NF=="F"{printf "%d%% ", $6}'`
echo "$comp complete data"
set anocomp = `echo "stats nbin 1" | mtzdump hklin merged.mtz | awk '$NF=="DANO"{printf "%d%% ", $6}'`
echo "$anocomp complete anomalous data"

# get differences from absolutely correct data
diff.com $idealmtz merged.mtz >! diff.log
set Rdiff = `awk '/THE TOTALS/{print 100*substr($0,51,7) "%"}' diff.log`
echo "$Rdiff different from correct intensity values"
set Ranodiff = `awk '/average deviation from correct DANO/{printf "%.1f%%", $NF}' diff.log`
echo "$Ranodiff different from correct anomalous differences"

set mapcor = `correlate.com $idealmap phaser/maps/best_phased.map | tail -1 | awk '{print $NF}'`
echo "$mapcor correlation to correct map"


# do the "cheat" to find sites in a PADF
cad_phases.com merged.mtz $idealmtz > /dev/null
bestFH.com phase_cadded.mtz > /dev/null
pick.com FH_Four.map 4 > /dev/null
awk '/^ATOM/' pick.pdb | head -8 >! cheat.pdb
set cheat = `check_sites.com cheat.pdb | awk '/ CC  = /{CC=$NF} END{printf "%.5f ", CC+0}'`
mv neworigin.pdb cheat_sites.pdb
set cheat_ratio = `awk 'substr($0,55,6)+0>0{++hit} /^ATOM/{++atom} END{print hit+0"/"atom}' cheat_sites.pdb`
echo "$cheat_ratio sites found in phased anomalous difference Fourier (CC=$cheat)"

set shelxded = `check_sites.com scaler/SHELX/ano.pdb | awk '/ CC  = /{CC=$NF} END{printf "%.5f ", CC+0}'`
mv neworigin.pdb shelxd_sites.pdb
set shelxd_ratio = `awk 'substr($0,55,6)+0>0{++hit} /^ATOM/{++atom} END{print hit+0"/"atom}' shelxd_sites.pdb`
echo "$shelxd_ratio sites found by SHELXD (CC=$shelxded)"


set solved = `check_sites.com scaler/SOLVE/solve.status | awk '/ CC  = /{CC=$NF} END{printf "%.5f ", CC+0}'`
mv neworigin.pdb solve_sites.pdb
set solve_ratio = `awk 'substr($0,55,6)+0>0{++hit} /^ATOM/{++atom} END{print hit+0"/"atom}' solve_sites.pdb`
echo "$solve_ratio sites found by SOLVE (CC=$solved)"




if("$cheat_ratio" == "") set cheat_ratio = "-/-"
if("$solve_ratio" == "") set solve_ratio = "-/-"
if("$shelxd_ratio" == "") set shelxd_ratio = "-/-"
echo "$prefix $comp $anocomp $Rdiff   $solved $solve_ratio $shelxded $shelxd_ratio $cheat $cheat_ratio $mapcor" |\
awk '{printf "%s %5s %5s %5s   %5.2f(%s) %5.2f(%s) %5.2f(%s)   %8.5f\n",$1,$2,$3,$4,$5,$6,$7,$8,$9,$10,$11}' |\
 tee sumary.log


exit

############################

cat */sum* | grep " -5 "

# preliminary evaluation of SOLVE results
awk '/TOP SOLUTION/{print FILENAME,$0}' */scaler/SOLVE/solve.status | tac | awk '! seen[$1]{++seen[$1];split($1,w,"[_]");printf "%.1f %4d %4d %4d %5.2f %5.2f\n", substr($1,4),w[3],w[5],w[4],$9,$(NF-1)}'




