#! /bin/csh -f
#
# converts SHELXL output into PDB format
#
#  B = 79*U^2
#
set nawk = /bin/awk
$nawk 'BEGIN{print}' >& /dev/null
if($status) set nawk = awk
alias nawk $nawk
#

if(! -e "$1") then
    echo "usage: $0 shelx.res [outfile.pdb]"
    exit
endif
if($2 !~ *.pdb) then
    set outfile = $1
    set outfile = `basename $outfile .ins`
    set outfile = `basename $outfile .res`
    set outfile = `basename $outfile .lst`".pdb"
else
    set outfile = $2
endif



set CELL = `nawk '$1=="CELL"{print $3, $4, $5, $6, $7, $8}' $1`

cat $1 |\
nawk '/[Ss][Ff][Aa][Cc]/{Ee=toupper($NF)} (NF==7 && $6 ~ /0000/){++i; \
printf("%5d%10.5f%10.5f%10.5f%10.5f%5.2f   35%10d%2s   MTL M\n",\
i, $3,$4,$5, 79*$7*$7, $6-10, i, Ee)}' |\
cat >! temp$$.frac

coordconv xyzin temp$$.frac xyzout $outfile << EOF >> temp$$.log
CELL $CELL
INPUT FRAC
OUTPUT PDB ORTH 1
END
EOF
if(! $status) then
    echo "PDB version of SHELX sites in $1 is: $outfile"
else
    cat temp$$.*
    
    echo "problem converting $1 to $outfile (see above for explanation)"
endif
rm -f temp$$.*

